websvn (2.3.3-1.2) unstable; urgency=high

  * Non-maintainer upload by the security team.
  * Disable download of in-repository symlinks to prevent arbitrary
    file access (CVE-2013-6892, Closes: #775682).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 24 Jan 2015 12:31:44 +0000

websvn (2.3.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Korean (si-cheol KO).  Closes: #634122
    - Polish (Michał Kułach).  Closes: #668089

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Apr 2012 19:32:17 +0200

websvn (2.3.3-1) unstable; urgency=low

  * Imported Upstream version 2.3.3
  * Refreshed quilt patches
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Fri, 15 Jul 2011 21:30:26 +0200

websvn (2.3.2-1) unstable; urgency=low

  * Imported Upstream version 2.3.2
  * Add Danish debconf translations (Closes: #603847) and run debconf-
    updatepo
  * Add some docs for multiviews (Closes: #274914)
  * Switch to dpkg-source 3.0 (quilt) format
  * Refreshed quilt patches
  * Add README.multiviews in quilt patch
  * Bump Standards Version to 3.9.1

 -- Pierre Chifflier <pollux@debian.org>  Sun, 19 Dec 2010 21:07:17 +0100

websvn (2.3.1-1) unstable; urgency=low

  * Imported Upstream version 2.3.1
    Closes: #571103, #536007, #576884
  * Refreshed quilt patches
    Drop 23_make_enscript_quiet.patch, included upstream
  * Fix cron job to exit cleanly (Closes: #571936)
  * Bump standards version to 3.8.4

 -- Pierre Chifflier <pollux@debian.org>  Thu, 06 May 2010 21:27:43 +0200

websvn (2.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #562864)
    File type is tested before setting timestamp (Closes: #535179, #540020)
    If repository does not exist, index page is returned (Closes: #433946)
  * Add Russian debconf translation (Closes: #539463)
  * Update quilt patches
  * Remove feedcreator, removed upstream
  * Bump standards version to 3.8.3

 -- Pierre Chifflier <pollux@debian.org>  Sat, 30 Jan 2010 16:27:14 +0100

websvn (2.2.1-2) unstable; urgency=low

  * 23_make_enscript_quiet.patch:
    Add -q option to enscript to make sure no log goes to apache
    Thanks to Adrian Bridgett (Closes: #534253)
  * Bump standards version to 3.8.2

 -- Pierre Chifflier <pollux@debian.org>  Mon, 29 Jun 2009 20:53:45 +0200

websvn (2.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Refresh patches, remove 23_include_diff_inc_typo_fix.patch
    (included upstream)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 20 May 2009 15:32:43 +0200

websvn (2.2.0-1) unstable; urgency=low

  * New Upstream Version (Closes: #526139)
  * Update patch for Geshi (Closes: #518965)
  * Add watch file
  * Thanks to James Carr for the patch and the watch file.

 -- Pierre Chifflier <pollux@debian.org>  Wed, 29 Apr 2009 16:49:05 +0200

websvn (2.1.0-3) unstable; urgency=low

  * Fix RSS feed by adding lib/feedcreator.class.php (Closes: #520061)
  * Update copyright file to mention LGPL2 license of feed creator.
  * Fix GeSHi syntax highlighting (Closes: #518965)
  * Bump standards version to 3.8.1 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 24 Mar 2009 09:25:32 +0100

websvn (2.1.0-2) unstable; urgency=low

  * Fix installation of apache config file (Closes: #518871)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 09 Mar 2009 12:20:41 +0100

websvn (2.1.0-1) unstable; urgency=low

  * New Upstream Version (Closes: #491980)
  * Drop following patches, merged upstream:
      10_security_dir_transversal.patch
      11_security_css.patch
      12_security_known_path_cve_2009_0240.patch
  * New patch:
      20_use_global_geshi.patch
      21_fix_conf_file.patch
  * Acknowledge NMU (Thanks Emilio) Closes: #512191, #508488
    - References: CVE-2009-0240
  * Add Homepage field
  * Fix lintian warnings:
    W: websvn: maintainer-script-ignores-errors config
    W: websvn: spelling-error-in-description subversion Subversion
    W: websvn source: patch-system-but-direct-changes-in-diff .pc/.version
    W: websvn source: debhelper-but-no-misc-depends websvn

 -- Pierre Chifflier <pollux@debian.org>  Wed, 25 Feb 2009 14:31:08 +0100

websvn (2.0-4+lenny1) stable-security; urgency=high

  * Non-maintainer upload.
  * debian/patches/12_security_known_path_cve_2009_0240.patch:
    - Backports upstream changes from subversion r635, r636 and r649 to
      fix a security hole where authenticated users can access files
      with known paths. Closes: #512191.
    - Urgency high for the security fix.
    - References: CVE-2009-0240
  * debian/po/es.po:
    - Added Spanish debconf translation, thanks Francisco Javier Cuadrado.
      Closes: #508488.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sat, 14 Feb 2009 16:30:02 +0100

websvn (2.0-4) unstable; urgency=high

  * Security: fix potential Cross Site Scripting and Directory
    transveral issues (Closes: #503330)
    See http://www.gulftech.org/?node=research&article_id=00132-10202008
    [CVE-2008-5918, CVE-2008-5919, CVE-2008-5920]

 -- Pierre Chifflier <pollux@debian.org>  Wed, 12 Nov 2008 13:07:59 +0100

websvn (2.0-3) unstable; urgency=high

  * Acknowledge NMU (thanks Thijs Kinkhorst) (Closes: #417142)
  * Bump standards version to 3.8.0 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 27 Aug 2008 17:12:24 +0200

websvn (2.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix unconditional use of debconf in postrm (Closes: #417142).

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 27 Aug 2008 15:56:07 +0200

websvn (2.0-2) unstable; urgency=low

  * Upload to unstable
  * Bump Standards version (no changes)
  * Source debconf file on postrm (Closes: #443823)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 14 Apr 2008 10:36:01 +0200

websvn (2.0-1) experimental; urgency=low

  * New upstream release (Closes: #439109)
    + index.php has now unix CR (Closes: #408515)
    + RSS feed 'link' element has been added (Closes: #349292, #349294)
    + Diff is dispayed only once (Closes: #387442)
    + Russian upstream translation updated (Closes: #279273)
    + Authentication has been rewritten (Closes: #417975)
    + Allows to use svn authentication (Closes: #374066)
    + Mime types can be customized (Closes: #280432)
    + Tarballs include repository name (Closes: #279265)
  * Update my email address
  * Upload to experimental since upgrade from previous versions is not handled

 -- Pierre Chifflier <pollux@debian.org>  Thu, 23 Aug 2007 16:47:49 +0200

websvn (1.61-22) unstable; urgency=low

  * Move temporary tarballs to /var/cache/websvn/tmp, and delete them after
    download (Closes: #407748)
  * Add a cron.daily entry to remove temporary session files
  * Change Location directive to Directory in apache configuration, and add a
    DirectoryIndex statement (Closes: #398607)
  * Update german translation (Closes: #405722)

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon, 22 Jan 2007 10:12:50 +0100

websvn (1.61-21) unstable; urgency=low

  * Change dependency to prefer php5, and add libapache2-mod-php5 (Closes: #404601)

 -- Pierre Chifflier <chifflier@cpe.fr>  Fri, 29 Dec 2006 15:11:24 +0100

websvn (1.61-20) unstable; urgency=low

  * Acknowledge NMU. (Thanks Steinar) (Closes: #352210)
  * Suppress AllowOverride from apache configuration (Closes: #398497)
  * Move quilt to Build-Depends
  * Add dutch translation (Closes: #383876)
  * Update japanese translation (Closes: #393500)

 -- Pierre Chifflier <chifflier@cpe.fr>  Tue, 14 Nov 2006 09:23:57 +0100

websvn (1.61-19.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 30_fix_352210.diff: Ignore user aborts, which makes sure that we clean up
    the temporary directory even if the user should abort the download;
    patch from Gregor Herrmann. (Really Closes: #352210)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 12 Nov 2006 18:53:02 +0100

websvn (1.61-19) unstable; urgency=high

  * Update Standards-Version to 3.7.2
  * Updated debconf translation:
    - Czech by Miroslav Kure (Closes: #370329)
    - Swedish by Daniel Nylander
    - Italian by Luca Monducci (Closes: #373231)
    - Portuguese by Miguel Figueiredo (Closes: #373249)
    - Vietnamese by Clytie Siddall
  * Add patch:
    - 20_unreadable_path.diff: Handle non-readable dirs in parent path (Closes: #372565)

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon, 12 Jun 2006 14:58:14 +0200

websvn (1.61-18) unstable; urgency=high

  * Fix hang during purge (Closes: #352900)
  * Use quilt for patches:
    - 15_shell.diff: Display shell scripts correctly (Closes: #355089)

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon, 24 Apr 2006 13:23:34 +0200

websvn (1.61-17) unstable; urgency=high

  * Use the system temp dir (Closes: #352210)
    Thanks to Gregor Herrmann for the patch
  * urgency=high because the bug is RC
  * Fix doubled encoding of websvn rss urls (Closes: #358126)

 -- Pierre Chifflier <chifflier@cpe.fr>  Tue, 21 Mar 2006 09:30:30 +0100

websvn (1.61-16) unstable; urgency=low

  * Fixed freeze on purge (Closes: #340188)
  * Added Portuguese translation (Closes: #338064)
  * Added Swedish translation (Closes: #333071)

 -- Pierre Chifflier <chifflier@cpe.fr>  Fri,  9 Dec 2005 14:02:23 +0100

websvn (1.61-15) unstable; urgency=low

  * Added alternate dependency on debconf-2.0 (Closes: #332146)
  * Recommends enscript (instead of suggests) (Closes: #323760)
  * Fix Zinn theme (Closes: #327158)
  * Fix rev2line use (Closes: #325245)
  * Make root owner of files (Closes: #330891)
  * Added Vietnamese translation (Closes: #324097)
  * Added German translation (Closes: #318776)
  * Updated Standards-Version to 3.6.2 (no changes needed)

 -- Pierre Chifflier <chifflier@cpe.fr>  Wed,  5 Oct 2005 21:53:11 +0200

websvn (1.61-14) unstable; urgency=low

  * Applied patch to fix indentation (Closes: #309412)
  * Added Brazilian Portuguese translation (Closes: #305274)
  * Updated Japanese translation (Closes: #310090)

 -- Pierre Chifflier <chifflier@cpe.fr>  Wed,  1 Jun 2005 20:42:52 +0200

websvn (1.61-13) unstable; urgency=low

  * Corrected grammar error in template (Closes: #302426)
  * Applied patch to fix tarballs with spaces (Closes: #302018)
  * Applied patch to urlencode repository name (Closes: #298885)
  * Applied patch to fix notice warning (Closes: #298486)

 -- Pierre Chifflier <chifflier@cpe.fr>  Sun,  3 Apr 2005 17:04:10 +0200

websvn (1.61-12) unstable; urgency=low

  * Add dependency to php5 (Closes: #275173)
  * Updated Italian translation (Closes: #297073)

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon, 28 Feb 2005 11:14:05 +0100

websvn (1.61-11) unstable; urgency=medium

  * Mark file svn_deb_conf.inc readable for all users (Closes: #295701)
  * Mention fsfs during installation (Closes: #294552)

 -- Pierre Chifflier <chifflier@cpe.fr>  Fri, 18 Feb 2005 09:28:53 +0100

websvn (1.61-10) unstable; urgency=medium

  * Fixed patch to avoid problems with paths in Multiviews (Closes: #294429)

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu, 10 Feb 2005 09:52:00 +0100

websvn (1.61-9) unstable; urgency=medium

  * Updated Czech debconf translation (Closes: #293003)
  * Fixed incorrect handling with multiple repositories (Closes: #292331)
  * Added patch to avoid problems with paths in Multiviews (Closes: #290932)
  * Do not reset permissions in postinst script (Closes: #291907)

 -- Pierre Chifflier <chifflier@cpe.fr>  Tue,  1 Feb 2005 11:14:44 +0100

websvn (1.61-8) unstable; urgency=low

  * Do not remove svn_deb_conf.inc when uninstalling (Closes: #287255)
  * Changed description to kill lintian warning

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu,  6 Jan 2005 13:45:31 +0100

websvn (1.61-7) unstable; urgency=low

  * Make websvn depend on php4 or php4-cgi (Closes: #286506)
  * Use Location instead of Directory for apache (Closes: #285273)

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon, 20 Dec 2004 18:07:54 +0100

websvn (1.61-6) unstable; urgency=low

  * Added japanese debconf translation. Thanks to Hideki Yamane (Closes: #285097)

 -- Pierre Chifflier <chifflier@cpe.fr>  Sat, 11 Dec 2004 22:32:45 +0100

websvn (1.61-5) unstable; urgency=low

  * Use symlink instead of Alias (Closes: #275555)
  * Configure wsvn.php in /etc/websvn (Closes: #275556)
  * Updated italian debconf translation. Thanks to Luca Monducci (Closes: #275822)

 -- Pierre Chifflier <chifflier@cpe.fr>  Sun, 17 Oct 2004 10:46:33 +0200

websvn (1.61-4) unstable; urgency=high

  * Prefer apache2 (instead of apache) (Closes: #274284)
  * Use ucf to avoid overwriting files during configuration
  * Fixed bug when no repository is given.
  * urgency=high because some bugs are RC

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu,  7 Oct 2004 13:13:07 +0200

websvn (1.61-3) unstable; urgency=low

  * Added czech debconf translation. Thanks to Miroslav Kure (Closes: #274037)

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu, 30 Sep 2004 08:59:53 +0200

websvn (1.61-2) unstable; urgency=low

  * Added missing $ in postinst (Closes: #273821)
  * Added support for 'parentPath' configuration (Closes: #272167)

 -- Pierre Chifflier <chifflier@cpe.fr>  Tue, 28 Sep 2004 13:05:20 +0200

websvn (1.61-1) unstable; urgency=low

  * New upstream release (hopefully Closes: #269700)

 -- Pierre Chifflier <chifflier@cpe.fr>  Fri,  3 Sep 2004 10:47:15 +0200

websvn (1.60-4) unstable; urgency=low

  * Set correct path to debian config file (Closes: #269419)

 -- Pierre Chifflier <chifflier@cpe.fr>  Wed,  1 Sep 2004 14:23:25 +0200

websvn (1.60-3) unstable; urgency=low

  * Changed dependency on php4 (Closes: #269271)

 -- Pierre Chifflier <chifflier@cpe.fr>  Tue, 31 Aug 2004 22:11:37 +0200

websvn (1.60-2) unstable; urgency=low

  * Added italian debconf translation. Thanks to Luca Monducci (Closes: #268684)
  * Test file existence before including svn_deb_conf.inc (Closes: #268963)
  * Added patch from Ryuichi Arafune to allow repositories with multibytes
    characters (also applied in upstream for later versions) (Closes: #268981)

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon, 30 Aug 2004 09:38:49 +0200

websvn (1.60-1) unstable; urgency=low

  * New upstream release.
  * Added french debconf translation. Thanks to Eric (Closes: #268034)

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu, 26 Aug 2004 19:33:31 +0200

websvn (1.50-2) unstable; urgency=low

  * Added apache2 support (Closes: #266704).
  * auto-detect sed and enscript
  * bugfix: really restart apache after installation

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu, 19 Aug 2004 09:55:21 +0200

websvn (1.50-1) unstable; urgency=low

  * Initial Release (Close: #263145).

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon,  9 Aug 2004 10:55:22 +0200

